Package org.eclipse.zest.layouts

# Class InvalidLayoutConfiguration

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.eclipse.zest.layouts.InvalidLayoutConfiguration

All Implemented Interfaces:
  `Serializable`

@Deprecated(since="2.0", forRemoval=true) public class InvalidLayoutConfiguration extends Exception
Deprecated, for removal: This API element is subject to removal in a future version.
No longer used in Zest 2.x. This class will be removed in a future release.

See Also:
  - Serialized Form
@noextend
  This class is not intended to be subclassed by clients.
@noreference
  This interface is not intended to be referenced by clients.
@noinstantiate
  This class is not intended to be instantiated by clients.

## Constructor Summary

Constructors
Constructor
Description
`InvalidLayoutConfiguration()`
Deprecated, for removal: This API element is subject to removal in a future version.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### InvalidLayoutConfiguration

public InvalidLayoutConfiguration()
Deprecated, for removal: This API element is subject to removal in a future version.